using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

using C1.Silverlight.Theming;
using C1.Silverlight.Theming.Office2007;

namespace OfficeThemes
{
    public partial class Outlook2007 : Page
    {
        public Outlook2007()
        {
            InitializeComponent();

            C1Theme.ApplyTheme(LayoutRoot, Offfice2007Themes.Default);
        }

        private void mnuThemeBlack_Click(object sender, C1.Silverlight.SourcedEventArgs e)
        {
            C1Theme.ApplyTheme(LayoutRoot, Offfice2007Themes.Black);
        }

        private void mnuThemeSilver_Click(object sender, C1.Silverlight.SourcedEventArgs e)
        {
            C1Theme.ApplyTheme(LayoutRoot, Offfice2007Themes.Silver);
        }

        private void mnuThemeDefault_Click(object sender, C1.Silverlight.SourcedEventArgs e)
        {
            C1Theme.ApplyTheme(LayoutRoot, Offfice2007Themes.Default);
        }
    }

    // Helper class used to have singleton instances of each theme
    public static class Offfice2007Themes
    {
        public static C1Theme Default = new C1ThemeOffice2007Blue();
        public static C1Theme Silver = new C1ThemeOffice2007Silver();
        public static C1Theme Black = new C1ThemeOffice2007Black();
    }
}
